BEGIN wlsbsg01

IF ~NumTimesTalkedToLT(1)~ THEN BEGIN wl_oublek_swordcom1 SAY ~You're the one Oublek hired to get the new captain's sword? Well hurry up, the ceremony is soon!~
	+ ~Global("wl_oublek_swordcom","GLOBAL",4)
		OR(18)
			PartyHasItem("wlsbsw01")
			PartyHasItem("wlsbsw02")
			PartyHasItem("wlsbsw03")
			PartyHasItem("wlsbsw04")
			PartyHasItem("wlsbsw05")
			PartyHasItem("wlsbsw06")
			PartyHasItem("wlsbsw07")
			PartyHasItem("wlsbsw08")
			PartyHasItem("wlsbsw09")
			PartyHasItem("wlsbsw10")
			PartyHasItem("wlsbsw11")
			PartyHasItem("wlsbsw12")
			PartyHasItem("wlsbsw13")
			PartyHasItem("wlsbsw14")
			PartyHasItem("wlsbsw15")
			PartyHasItem("wlsbsw16")
			PartyHasItem("wlsbsw17")
			PartyHasItem("wlsbsw18")~ + ~I have it right here.~ DO ~AddJournalEntry(@28,QUEST)~ + wl_oublek_swordcom3
	+ ~Global("wl_oublek_swordcom","GLOBAL",4)
			OR(18)
			PartyHasItem("wlsbsw01")
			PartyHasItem("wlsbsw02")
			PartyHasItem("wlsbsw03")
			PartyHasItem("wlsbsw04")
			PartyHasItem("wlsbsw05")
			PartyHasItem("wlsbsw06")
			PartyHasItem("wlsbsw07")
			PartyHasItem("wlsbsw08")
			PartyHasItem("wlsbsw09")
			PartyHasItem("wlsbsw10")
			PartyHasItem("wlsbsw11")
			PartyHasItem("wlsbsw12")
			PartyHasItem("wlsbsw13")
			PartyHasItem("wlsbsw14")
			PartyHasItem("wlsbsw15")
			PartyHasItem("wlsbsw16")
			PartyHasItem("wlsbsw17")
			PartyHasItem("wlsbsw18")~ + ~I do have it, but it's a really nice sword so I'm keeping it.~ DO ~AddJournalEntry(@29,QUEST)~ + wl_oublek_swordcom_fail2
	+ ~TRUE()~ + ~I'm on it.~ EXIT
	+ ~TRUE()~ + ~Actually, it's not worth my time, I'm not doing it.~ DO ~AddJournalEntry(@29,QUEST)~ + wl_oublek_swordcom_fail1
END

IF ~NumTimesTalkedToGT(0)~ THEN BEGIN wl_oublek_swordcom2 SAY ~Do you have the sword?~
	+ ~Global("wl_oublek_swordcom","GLOBAL",4)
		OR(18)
			PartyHasItem("wlsbsw01")
			PartyHasItem("wlsbsw02")
			PartyHasItem("wlsbsw03")
			PartyHasItem("wlsbsw04")
			PartyHasItem("wlsbsw05")
			PartyHasItem("wlsbsw06")
			PartyHasItem("wlsbsw07")
			PartyHasItem("wlsbsw08")
			PartyHasItem("wlsbsw09")
			PartyHasItem("wlsbsw10")
			PartyHasItem("wlsbsw11")
			PartyHasItem("wlsbsw12")
			PartyHasItem("wlsbsw13")
			PartyHasItem("wlsbsw14")
			PartyHasItem("wlsbsw15")
			PartyHasItem("wlsbsw16")
			PartyHasItem("wlsbsw17")
			PartyHasItem("wlsbsw18")~ + ~I have it right here.~ DO ~AddJournalEntry(@28,QUEST)~ + wl_oublek_swordcom3
	+ ~Global("wl_oublek_swordcom","GLOBAL",4)
			OR(18)
			PartyHasItem("wlsbsw01")
			PartyHasItem("wlsbsw02")
			PartyHasItem("wlsbsw03")
			PartyHasItem("wlsbsw04")
			PartyHasItem("wlsbsw05")
			PartyHasItem("wlsbsw06")
			PartyHasItem("wlsbsw07")
			PartyHasItem("wlsbsw08")
			PartyHasItem("wlsbsw09")
			PartyHasItem("wlsbsw10")
			PartyHasItem("wlsbsw11")
			PartyHasItem("wlsbsw12")
			PartyHasItem("wlsbsw13")
			PartyHasItem("wlsbsw14")
			PartyHasItem("wlsbsw15")
			PartyHasItem("wlsbsw16")
			PartyHasItem("wlsbsw17")
			PartyHasItem("wlsbsw18")~ + ~I do have it, but it's a really nice sword so I'm keeping it.~ DO ~AddJournalEntry(@29,QUEST)~ + wl_oublek_swordcom_fail2
	+ ~TRUE()~ + ~I'm on it.~ EXIT
	+ ~TRUE()~ + ~Actually, it's not worth my time, I'm not doing it.~ DO ~AddJournalEntry(@29,QUEST)~ + wl_oublek_swordcom_fail1
END

IF ~~ THEN BEGIN wl_oublek_swordcom3 SAY ~Great, give it here! Let me have a look at it...~
	IF ~GlobalLT("wl_oublek_swordcom_qual","GLOBAL",3)~ DO ~~ + wl_oublek_swordcom3a
	IF ~GlobalLT("wl_oublek_swordcom_qual","GLOBAL",5)
		GlobalGT("wl_oublek_swordcom_qual","GLOBAL",2)~ DO ~~ + wl_oublek_swordcom3b
	IF ~GlobalLT("wl_oublek_swordcom_qual","GLOBAL",7)
		GlobalGT("wl_oublek_swordcom_qual","GLOBAL",4)~ DO ~~ + wl_oublek_swordcom3c
	IF ~GlobalLT("wl_oublek_swordcom_qual","GLOBAL",10)
		GlobalGT("wl_oublek_swordcom_qual","GLOBAL",6)~ DO ~~ + wl_oublek_swordcom3d
	IF ~GlobalGT("wl_oublek_swordcom_qual","GLOBAL",9)~ DO ~~ + wl_oublek_swordcom3e
END

IF ~~ THEN BEGIN wl_oublek_swordcom3a SAY ~It's a piece of junk! We'd've been better off taking something from the armoury!~
	++ ~Sorry.~ DO ~
		TakePartyItem("wlsbsw01")
		TakePartyItem("wlsbsw02")
		TakePartyItem("wlsbsw03")
		TakePartyItem("wlsbsw04")
		TakePartyItem("wlsbsw05")
		TakePartyItem("wlsbsw06")
		TakePartyItem("wlsbsw07")
		TakePartyItem("wlsbsw08")
		TakePartyItem("wlsbsw09")
		TakePartyItem("wlsbsw10")
		TakePartyItem("wlsbsw11")
		TakePartyItem("wlsbsw12")
		TakePartyItem("wlsbsw13")
		TakePartyItem("wlsbsw14")
		TakePartyItem("wlsbsw15")
		TakePartyItem("wlsbsw16")
		TakePartyItem("wlsbsw17")
		TakePartyItem("wlsbsw18")
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",-6)
//		DisplayString(Player1,@9003)
		SetGlobal("wl_oublek_swordcom","GLOBAL",3)
		EscapeArea()~ EXIT
	++ ~It's the smith's fault! Taerom Fuiruim of Beregost's Thunderhammer Smithy!~ DO ~
		TakePartyItem("wlsbsw01")
		TakePartyItem("wlsbsw02")
		TakePartyItem("wlsbsw03")
		TakePartyItem("wlsbsw04")
		TakePartyItem("wlsbsw05")
		TakePartyItem("wlsbsw06")
		TakePartyItem("wlsbsw07")
		TakePartyItem("wlsbsw08")
		TakePartyItem("wlsbsw09")
		TakePartyItem("wlsbsw10")
		TakePartyItem("wlsbsw11")
		TakePartyItem("wlsbsw12")
		TakePartyItem("wlsbsw13")
		TakePartyItem("wlsbsw14")
		TakePartyItem("wlsbsw15")
		TakePartyItem("wlsbsw16")
		TakePartyItem("wlsbsw17")
		TakePartyItem("wlsbsw18")
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",-6)
//		DisplayString(Player1,@9003)
		IncrementGlobal("wl_reputation_beregost","GLOBAL",-5)
//		DisplayString(Player1,@9023)
		SetGlobal("wl_oublek_swordcom","GLOBAL",3)
		EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN wl_oublek_swordcom3b SAY ~Hmm, it will do, but it's not very good. I told them we should order from Cromwell!~
	++ ~Sorry.~ DO ~
		TakePartyItem("wlsbsw01")
		TakePartyItem("wlsbsw02")
		TakePartyItem("wlsbsw03")
		TakePartyItem("wlsbsw04")
		TakePartyItem("wlsbsw05")
		TakePartyItem("wlsbsw06")
		TakePartyItem("wlsbsw07")
		TakePartyItem("wlsbsw08")
		TakePartyItem("wlsbsw09")
		TakePartyItem("wlsbsw10")
		TakePartyItem("wlsbsw11")
		TakePartyItem("wlsbsw12")
		TakePartyItem("wlsbsw13")
		TakePartyItem("wlsbsw14")
		TakePartyItem("wlsbsw15")
		TakePartyItem("wlsbsw16")
		TakePartyItem("wlsbsw17")
		TakePartyItem("wlsbsw18")
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",-2)
//		DisplayString(Player1,@9002)
		SetGlobal("wl_oublek_swordcom","GLOBAL",3)
		EscapeArea()~ EXIT
	++ ~It's as good as you can expect from a small town smith like Taerom.~ DO ~
		TakePartyItem("wlsbsw01")
		TakePartyItem("wlsbsw02")
		TakePartyItem("wlsbsw03")
		TakePartyItem("wlsbsw04")
		TakePartyItem("wlsbsw05")
		TakePartyItem("wlsbsw06")
		TakePartyItem("wlsbsw07")
		TakePartyItem("wlsbsw08")
		TakePartyItem("wlsbsw09")
		TakePartyItem("wlsbsw10")
		TakePartyItem("wlsbsw11")
		TakePartyItem("wlsbsw12")
		TakePartyItem("wlsbsw13")
		TakePartyItem("wlsbsw14")
		TakePartyItem("wlsbsw15")
		TakePartyItem("wlsbsw16")
		TakePartyItem("wlsbsw17")
		TakePartyItem("wlsbsw18")
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",-2)
//		DisplayString(Player1,@9002)
		IncrementGlobal("wl_reputation_beregost","GLOBAL",-1)
//		DisplayString(Player1,@9022)
		SetGlobal("wl_oublek_swordcom","GLOBAL",3)
		EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN wl_oublek_swordcom3c SAY ~This looks good... Almost as good as Cromwell's stuff.~
	++ ~Glad you like it.~ DO ~
		TakePartyItem("wlsbsw01")
		TakePartyItem("wlsbsw02")
		TakePartyItem("wlsbsw03")
		TakePartyItem("wlsbsw04")
		TakePartyItem("wlsbsw05")
		TakePartyItem("wlsbsw06")
		TakePartyItem("wlsbsw07")
		TakePartyItem("wlsbsw08")
		TakePartyItem("wlsbsw09")
		TakePartyItem("wlsbsw10")
		TakePartyItem("wlsbsw11")
		TakePartyItem("wlsbsw12")
		TakePartyItem("wlsbsw13")
		TakePartyItem("wlsbsw14")
		TakePartyItem("wlsbsw15")
		TakePartyItem("wlsbsw16")
		TakePartyItem("wlsbsw17")
		TakePartyItem("wlsbsw18")
		SetGlobal("wl_oublek_swordcom","GLOBAL",3)
		EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN wl_oublek_swordcom3d SAY ~That's a very good blade! Might even be better than Cromwell's stuf!~
	++ ~Glad you like it.~ DO ~
		TakePartyItem("wlsbsw01")
		TakePartyItem("wlsbsw02")
		TakePartyItem("wlsbsw03")
		TakePartyItem("wlsbsw04")
		TakePartyItem("wlsbsw05")
		TakePartyItem("wlsbsw06")
		TakePartyItem("wlsbsw07")
		TakePartyItem("wlsbsw08")
		TakePartyItem("wlsbsw09")
		TakePartyItem("wlsbsw10")
		TakePartyItem("wlsbsw11")
		TakePartyItem("wlsbsw12")
		TakePartyItem("wlsbsw13")
		TakePartyItem("wlsbsw14")
		TakePartyItem("wlsbsw15")
		TakePartyItem("wlsbsw16")
		TakePartyItem("wlsbsw17")
		TakePartyItem("wlsbsw18")
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)
//		DisplayString(Player1,@9000)
		SetGlobal("wl_oublek_swordcom","GLOBAL",3)
		EscapeArea()~ EXIT
	++ ~Taerom's work never disappoints, here's a master of his craft!~ DO ~
		TakePartyItem("wlsbsw01")
		TakePartyItem("wlsbsw02")
		TakePartyItem("wlsbsw03")
		TakePartyItem("wlsbsw04")
		TakePartyItem("wlsbsw05")
		TakePartyItem("wlsbsw06")
		TakePartyItem("wlsbsw07")
		TakePartyItem("wlsbsw08")
		TakePartyItem("wlsbsw09")
		TakePartyItem("wlsbsw10")
		TakePartyItem("wlsbsw11")
		TakePartyItem("wlsbsw12")
		TakePartyItem("wlsbsw13")
		TakePartyItem("wlsbsw14")
		TakePartyItem("wlsbsw15")
		TakePartyItem("wlsbsw16")
		TakePartyItem("wlsbsw17")
		TakePartyItem("wlsbsw18")
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",1)
//		DisplayString(Player1,@9000)
		IncrementGlobal("wl_reputation_beregost","GLOBAL",1)
//		DisplayString(Player1,@9020)
		SetGlobal("wl_oublek_swordcom","GLOBAL",3)
		EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN wl_oublek_swordcom3e SAY ~What a blade! Incredible... This is a sword the whole guard can be proud off!~
	++ ~Glad you like it.~ DO ~
		TakePartyItem("wlsbsw01")
		TakePartyItem("wlsbsw02")
		TakePartyItem("wlsbsw03")
		TakePartyItem("wlsbsw04")
		TakePartyItem("wlsbsw05")
		TakePartyItem("wlsbsw06")
		TakePartyItem("wlsbsw07")
		TakePartyItem("wlsbsw08")
		TakePartyItem("wlsbsw09")
		TakePartyItem("wlsbsw10")
		TakePartyItem("wlsbsw11")
		TakePartyItem("wlsbsw12")
		TakePartyItem("wlsbsw13")
		TakePartyItem("wlsbsw14")
		TakePartyItem("wlsbsw15")
		TakePartyItem("wlsbsw16")
		TakePartyItem("wlsbsw17")
		TakePartyItem("wlsbsw18")
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",5)
//		DisplayString(Player1,@9001)
		SetGlobal("wl_oublek_swordcom","GLOBAL",3)
		EscapeArea()~ EXIT
	++ ~Taerom's work never disappoints, here's a master of his craft!~ DO ~
		TakePartyItem("wlsbsw01")
		TakePartyItem("wlsbsw02")
		TakePartyItem("wlsbsw03")
		TakePartyItem("wlsbsw04")
		TakePartyItem("wlsbsw05")
		TakePartyItem("wlsbsw06")
		TakePartyItem("wlsbsw07")
		TakePartyItem("wlsbsw08")
		TakePartyItem("wlsbsw09")
		TakePartyItem("wlsbsw10")
		TakePartyItem("wlsbsw11")
		TakePartyItem("wlsbsw12")
		TakePartyItem("wlsbsw13")
		TakePartyItem("wlsbsw14")
		TakePartyItem("wlsbsw15")
		TakePartyItem("wlsbsw16")
		TakePartyItem("wlsbsw17")
		TakePartyItem("wlsbsw18")
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",5)
//		DisplayString(Player1,@9001)
		IncrementGlobal("wl_reputation_beregost","GLOBAL",1)
//		DisplayString(Player1,@9020)
		SetGlobal("wl_oublek_swordcom","GLOBAL",3)
		EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN wl_oublek_swordcom_fail1 SAY ~Hard to find good help these days... Give me the gold you took from Oublek and be on your way.~
	++ ~Here it is.~ DO ~
		TakePartyGold(2200)
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",-1)
//		DisplayString(Player1,@9002)
		SetGlobal("wl_oublek_swordcom","GLOBAL",99)
		EscapeArea()~ EXIT
	++ ~I'm keeping it.~ + wl_oublek_swordcom_attack
END

IF ~~ THEN BEGIN wl_oublek_swordcom_fail2 SAY ~Disgraceful! Just give me the gold you took from Oublek and get out of my sight!~
	++ ~Here it is.~ DO ~
		TakePartyGold(2200)
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",-5)
//		DisplayString(Player1,@9003)
		SetGlobal("wl_oublek_swordcom","GLOBAL",99)
		EscapeArea()~ EXIT
	++ ~I'm keeping it.~ + wl_oublek_swordcom_attack
END

IF ~~ THEN BEGIN wl_oublek_swordcom_attack SAY ~The hells you are!~
	IF ~TRUE()~ THEN DO ~
		IncrementGlobal("wl_reputation_nashkel","GLOBAL",-5)
//		DisplayString(Player1,@9003)
		SetGlobal("wl_oublek_swordcom","GLOBAL",99)
		Shout(99)
		Enemy()~ EXIT
END